## the keyspy-0.0.24

=== requirements.txt ===
blinker==1.9.0
bpyutils==0.5.8
build==1.2.2.post1
certifi==2025.7.14
charset-normalizer==3.4.2
click==8.2.1
dataclasses-json==0.6.7
gitdb==4.0.12
GitPython==3.1.44
http_server_mock==1.7
idna==3.10
iniconfig==2.1.0
itsdangerous==2.2.0
Jinja2==3.1.6
MarkupSafe==3.0.2
marshmallow>=3.18.0,<4.0.0
marshmallow-enum==1.5.1
mypy_extensions==1.1.0
packaging==25.0
pipupgrade==1.12.0
pluggy==1.6.0
Pygments==2.19.2
pyproject_hooks==1.2.0
requests==2.32.4
setuptools==80.9.0
smmap==5.0.2
typing-inspect==0.9.0
typing_extensions==4.14.1
urllib3==2.5.0
Werkzeug==3.1.3
