## the 3.3~b4

=== debian/changelog ===
the (3.3~b4-1) unstable; urgency=low

  * Built against libregina3, updated build dependencies (closes: #571374).
  * Fixed lintian errors.
  * Added a debian/watch file.
  * Upgraded to Standards-Version: 3.8.3.
  * Switch to 3.0 (quilt) source package format.
  * New upstream version (closes: #68434, #231175, #499551).
  * Changed email address in control file to <alen@nms.hr>.

 -- Alen Zekulic <alen@nms.hr>  Thu, 28 Jan 2010 12:18:25 +0100

the (3.1-5) unstable; urgency=low

  * Adjusted debian/rules to comply with the latest bash brace
    expansion behavior (closes: #477956).
  * Added handling of the nostrip DEB_BUILD_OPTIONS (closes: #438199).
  * Fixed lintian warnings.
  * Upgraded to Standards-Version: 3.7.3

 -- Alen Zekulic <azekulic@fesb.hr>  Fri, 09 May 2008 21:55:30 +0200

the (3.1-4) unstable; urgency=low

  * Added sharutils to Build-Depends (closes: #251909).
  * Regina is now available in unstable (closes: #249746).

 -- Alen Zekulic <azekulic@fesb.hr>  Tue,  1 Jun 2004 13:18:31 +0200

the (3.1-3) unstable; urgency=low

  * New upstream version.
  * No longer provide /usr/doc link.
  * Upgraded to Standards-Version: 3.6.1

 -- Alen Zekulic <azekulic@fesb.hr>  Tue, 11 May 2004 17:33:36 +0200

the (3.1-2) unstable; urgency=low

  * Tweaked debian/rules file.
  * Fixed broken postinst script (closes: #121430).

 -- Alen Zekulic <azekulic@fesb.hr>  Wed, 28 Nov 2001 22:48:35 +0100

the (3.1-1) frozen unstable; urgency=low

  * New upstream version, beta 2001-07-07 (closes: #105112).

 -- Alen Zekulic <azekulic@fesb.hr>  Thu,  4 Oct 2001 17:07:13 +0200

the (3.1-0) unstable; urgency=high

  * Added Build-Depends.
  * Upgraded to Standards-Version: 3.5.3.0
  * New upstream version, beta 2000-12-10 (closes: #94416).

 -- Alen Zekulic <azekulic@fesb.hr>  Fri, 20 Apr 2001 17:45:24 +0200

the (3.0-1) frozen unstable; urgency=low

  * Fixed regina dependency.
  * Fixed lintian errors.
  * Replaces pre-released with released 3.0 version.
  * New upstream version (fixes several bugs).

 -- Alen Zekulic <azekulic@fesb.hr>  Mon,  1 May 2000 09:36:57 +0200

the (3.0-0) unstable; urgency=low

  * Upgraded to Standards-Version: 3.0.1.1.
  * FHS transition.
  * New upstream version. (3.0 beta 1999-09-14).

 -- Alen Zekulic <azekulic@fesb.hr>  Thu, 28 Oct 1999 18:45:04 +0200

the (2.8-0) unstable; urgency=low

  * Fixed lintian errors.
  * Applied Konstantinos Margaritis's powerpc patch (closes bug #38315).
  * Upgraded to Standards-Version: 2.5.0.0.
  * New upstream version. (0.08g beta 1998-12-23).

 -- Alen Zekulic <azekulic@fesb.hr>  Sun, 20 Jun 1999 21:15:18 +0200

the (2.5.2-2) frozen unstable; urgency=low

  * Fixed permissions for doc files (fixes: bug#29807).
  * Recompiled against ncurses4.2.

 -- Alen Zekulic <azekulic@fesb.hr>  Wed,  9 Dec 1998 22:57:19 +0100

the (2.5.2-1) unstable; urgency=low

  * Applied James Troup's m68k patch (fixes bug #24227).
  * New upstream version.

 -- Alen Zekulic <azekulic@fesb.hr>  Sun,  4 Oct 1998 19:52:11 +0200

the (2.5-0.3) frozen unstable; urgency=low

  * Recompiled against ncurses 1.9.9g-8.8 (fixes: bug#24986).

 -- Alen Zekulic <azekulic@fesb.hr>  Fri, 24 Jul 1998 20:08:45 +0200

the (2.5-0.2) frozen unstable; urgency=low

  * Recompiled against new ncurses library.

 -- Alen Zekulic <azekulic@fesb.hr>  Mon, 18 May 1998 23:23:27 +0200

the (2.5-0.1) frozen unstable; urgency=low

  * Fixed regina dependency by rebuilding.

 -- Alen Zekulic <azekulic@fesb.hr>  Fri, 10 Apr 1998 22:30:42 +0200

the (2.5-0) frozen unstable; urgency=low

  * Fixed postinst and postrm errors (lintian report).
  * New upstream version (2.5 beta 1998-03-15).

 -- Alen Zekulic <azekulic@fesb.hr>  Fri, 20 Mar 1998 01:08:36 +0100

the (2.4-5) unstable; urgency=low

  * the-doc: Added dependency on the.

 -- Alen Zekulic <azekulic@fesb.hr>  Mon, 16 Mar 1998 16:05:58 -0800

the (2.4-4) frozen unstable; urgency=low

  * Fixed dependency problem produced on va.
  * Really fixed lintian errors. (fixes: bug#19422)

 -- Alen Zekulic <azekulic@fesb.hr>  Mon, 16 Mar 1998 22:37:13 +0100

the (2.4-3) frozen unstable; urgency=low

  * Moved global profile file to /etc.
  * Upgraded to Standards-Version: 2.4.0.0.
  * Fixed lintian errors. (fixes: bug#19422)

 -- Alen Zekulic <azekulic@fesb.hr>  Fri, 13 Mar 1998 22:40:25 +0100

the (2.4-2) unstable; urgency=low

  * Changed postinst and prerm scripts to use update-alternatives.
  * Added menu support.
  * copyright no longer compressed. (fixes bug #14454)
  * Architecture no longer hardcoded. (fixes bug #13622)
  * Libc6 release.

 -- Alen Zekulic <azekulic@fesb.hr>  Sun, 9 Nov 1997 17:10:18 +0100

the (2.4-1) unstable; urgency=low

  * Initial Release.

 -- Alen Zekulic <azekulic@fesb.hr>  Sat, 12 Apr 1997 01:16:03 +0200
