=== debian/control ===
Source: the
Section: editors
Priority: optional
Maintainer: Alen Zekulic <alen@nms.hr>
Build-Depends: libncurses5-dev, libregina3-dev, regina-rexx
Standards-Version: 3.8.4
Homepage: http://hessling-editor.sourceforge.net

Package: the
Architecture: any
Suggests: the-doc
Depends: ${shlibs:Depends}
Description: Full-screen character mode text editor
 THE (The Hessling Editor) is a text editor that uses both command
 line commands and key bindings to operate. It is intended to be
 similar to the VM/CMS System Product Editor, XEDIT and to KEDIT
 from Mansfield Software.

Package: the-doc
Section: doc
Architecture: all
Suggests: the
Description: THE Reference Manual
 THE was originally written to be used by people already familiar with the
 VM/CMS System Product Editor XEDIT and KEDIT from Mansfield Software. For
 this reason, THE Reference Manual provides limited information on using THE,
 and concentrates more on reference material, such as command syntax and
 configuration.
