## the 3.3~rc1

=== debian/changelog ===
the (3.3~rc1-3) unstable; urgency=low

  * Applied patches from Maria Valentina Marin <marivalenm@gmail.com>
    and Chris Lamb <lamby@debian.org> to make the build reproducible
    (closes: #793728, #777370).
  * Fixed document directory path (closes: #736870)
  * Fixed debian/rules binary-indep target (closes: #806117).
  * Upgraded to Standards-Version: 3.9.8.

 -- Alen Zekulic <alen@nms.hr>  Wed, 10 Aug 2016 00:57:26 +0200

the (3.3~rc1-2) unstable; urgency=low

  * Fixed debian/rules build target.

 -- Alen Zekulic <alen@nms.hr>  Sat, 30 Jun 2012 18:06:43 +0200

the (3.3~rc1-1) unstable; urgency=low

  * Fixed lintian errors.
  * Upgraded to Standards-Version: 3.9.3.
  * New upstream version.

 -- Alen Zekulic <alen@nms.hr>  Sat, 30 Jun 2012 05:45:36 +0200
