=== debian/watch ===
version=3
http://sf.net/hessling-editor/THE-(\d\.\d)\.tar\.gz
